GDB (xrefs)

Public Attributes | List of all members
sh_frame_cache Struct Reference

## Public Attributes
CORE_ADDR | base
LONGEST | sp_offset
CORE_ADDR | pc
int | uses_fp
CORE_ADDR | saved_regs [SH_NUM_REGS]
CORE_ADDR | saved_sp

## Detailed Description

Definition at line 72 of file sh-tdep.c.

## Member Data Documentation

## ◆ base

CORE_ADDR sh_frame_cache::base

Definition at line 75 of file sh-tdep.c.

Referenced by sh_alloc_frame_cache(), sh_frame_base_address(), sh_frame_cache(), and sh_frame_this_id().

## ◆ pc

CORE_ADDR sh_frame_cache::pc

Definition at line 77 of file sh-tdep.c.

Referenced by sh_alloc_frame_cache(), sh_frame_cache(), sh_frame_this_id(), and sh_skip_prologue().

## ◆ saved_regs

CORE_ADDR sh_frame_cache::saved_regs[SH_NUM_REGS]

Definition at line 83 of file sh-tdep.c.

Referenced by sh_alloc_frame_cache(), sh_analyze_prologue(), sh_frame_cache(), and sh_frame_prev_register().

## ◆ saved_sp

CORE_ADDR sh_frame_cache::saved_sp

Definition at line 84 of file sh-tdep.c.

Referenced by sh_alloc_frame_cache(), sh_frame_cache(), sh_frame_prev_register(), sh_frame_this_id(), sh_make_stub_cache(), and sh_stub_this_id().

## ◆ sp_offset

LONGEST sh_frame_cache::sp_offset

Definition at line 76 of file sh-tdep.c.

Referenced by sh_alloc_frame_cache(), sh_analyze_prologue(), sh_frame_cache(), and sh_skip_prologue().

## ◆ uses_fp

int sh_frame_cache::uses_fp

Definition at line 80 of file sh-tdep.c.

Referenced by sh_alloc_frame_cache(), sh_analyze_prologue(), sh_frame_cache(), and sh_skip_prologue().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/sh-tdep.c